Mailinglist Archive: opensuse-factory (649 mails)

< Previous Next >
[opensuse-factory] Java 9 in Tumbleweed (was: Next steps for Firefox on TW)
Am 12.08.2017 um 09:40 schrieb Wolfgang Rosenauer:
Am 12.08.2017 um 09:19 schrieb Hendrik Woltersdorf:

Maybe a little bit OT, but important (for me):

I just upgraded my FF to version 55 on Tumbleweed from the Mozilla repo
to test it.
This replaced java 1.8 with java 9. And with this version of java 9 java
webstart (javaws) is not available or still linked to java 1.8, which
does not work any more.
Will this java upgrade happen, when FF 55 comes to Tumbleweed?
I need to use java webstart and if it doesn't work with FF 55 it is a
blocker for me.

I think this is because FF 55 required a new NSS and as Java is
currently built for Leap and TW it implicitely requires a certain Java
version. When you decided to update NSS the resolver apparently came to
the conclusion that Java8 will break and found Java9 not to break
triggering this update.
But that's just my theory. There is for sure nothing in the Firefox
itself which would cause this.

Wolfgang

I just downgraded java to 1.8, to get a working webstart.
This "broke" NSS. Fine with me, but maybe not a viable solution for
everyone.

IMHO if java 9 becomes a requirement in Tumbleweed (instead of java
1.8), it should be feature complete. But this is getting OT now.

Hendrik



--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups